WayloAIWaylo Docs
APIReferenceTools

Discover MCP functions

POST
/tools/discover

Connect to a candidate MCP server and list the functions it offers, with whether each is selectable. Nothing is saved. 503 if the server is unreachable.

Access: workspace_admin · API key tools:write

Authorization

api-key
headerAuthorizationBearer <sk_waylo_<lookup><secret><checksum>>

Header Parameters

Authorization*string

Your API key.

Request Body

application/json
  1. body
workspaceId*string
Formatuuid
url*string
Lengthlength <= 2048
credentialId?|
Formatuuid
headers?
Propertiesproperties <= 16

Response Body

Success

application/json
  1. response
[index: integer]?
Example Request
curl -X POST 'https://api.poc.app.waylovoice.ai/tools/discover' \  -H 'Authorization: Bearer sk_waylo_...' \  -H 'Content-Type: application/json' \  -d '{  "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c",  "url": "https://mcp.example.com/mcp"}'
Example Response
[  {    "name": "string",    "description": "string",    "inputSchema": {},    "selectable": true,    "reason": "string",    "note": "string"  }]